#include "queue.h"
#include <stdio.h>
#include <stdlib.h>

void enqueue_data(queue_t * queue, void * data) 
{
    qelement_t * new_elm = malloc(sizeof(qelement_t)); 
    new_elm->data = data;
    new_elm->next = NULL;

    int * p = data;
    printf("data: %d\n", *p);

    //TODO:grab queue mutex
    qelement_t * current_last = queue->last_elm;

    /* queue empty, insert at start */
    if(current_last == NULL) {
        queue->last_elm = new_elm;
        queue->first_elm = new_elm;
        queue->size++;
        return;
    }

    /* Queue not empty, insert at end */
    current_last->next = new_elm;
    queue->last_elm = new_elm;
    queue->size++;
}

void * dequeue_data(queue_t * queue) 
{
    /* check size */
    if(queue->size == 0) {
        printf("Queue empty\n");
        return NULL;
    }

    //TODO:grab queue mutex
    void * ret = queue->first_elm->data;

    qelement_t * tmp = queue->first_elm;
    queue->first_elm = queue->first_elm->next;
    free(tmp);
    queue->size--;
    return ret;
}

void init_queue(queue_t * queue, int max_size) 
{
    //TODO: Init mutex for queue
    queue->max_size = max_size;
    queue->size = 0;
    queue->first_elm = NULL;
    queue->last_elm = NULL;
}
