library ieee;
library work;

use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use work.emb.all;

entity memory is
    generic (   width : positive; 
                length : positive; -- length wanted
                addr_bits : positive  -- number of addr-bits
            );
    port (
                clk : in std_logic;
                we  : in std_logic;
                a : in std_logic_vector(addr_bits - 1 downto 0);
                d_in : in std_logic_vector(width - 1 downto 0);
                d_out : out std_logic_vector(width - 1 downto 0)
         );
end entity memory;



architecture rtl of memory is
    type ram_t is array (length - 1 downto 0) of std_logic_vector(width - 1 downto 0);
    signal ram : ram_t;
    --signal read_a : std_logic_vector(addr_bits - 1 downto 0);
begin
    process (clk) is
    begin
        if rising_edge(clk) then 
            if (we = '1') then 
                ram(conv_integer(a)) <=  d_in;
                d_out <= d_in; 
            else 
                d_out <= ram(conv_integer(a));
            end if;
        end if;
    end process;


end architecture;
