library ieee;

use ieee.std_logic_1164.all;
use work.all;
use work.emb.all;

entity pc_tb is 
end entity;


architecture behav of pc_tb is
    signal main_clk : std_logic;
    signal main_rst : std_logic;
    signal write : std_logic;
    signal read : std_logic;
    signal configdata : std_logic_vector(15 downto 0);
    signal bank_addr : bank_sel_type;
    signal pin_outdata : std_logic_vector(7 downto 0);

    signal pins : std_logic_vector(67 downto 0);

begin

    dut : entity pin_control
        port map (
            clk => main_clk, 
            rst => main_rst,
            write => write,
            read => read,
            configdata => configdata,
            bank_addr => bank_addr,
            pin_outdata => pin_outdata,
            pins => pins );


    apply_tests : process is
    begin
        main_rst <= '0';
        wait for 50 ns;
        main_rst <= '1';

        pins <= "010101010101010101010101010101010101010101010101010111101111UUUUUUUU";

        -- Configure bank 0
        write <= '0';
        bank_addr <= 0;
        configdata <= X"AAAA";  -- this pattern makes all pins an output, pushing 1 to pin
        wait for 100 ns;

        -- change bank address, configure as an input bank
        bank_addr <= 1;
        configdata <= X"5555"; -- this makes all pins input, with '0' pressed, but disconnected
        wait for 100 ns;
        write <= '1'; 


        wait for 400 ns;  -- now we hold for a few cycles.

        -- Read from bank 1
        bank_addr <= 1;
        read <= '0';  -- should put 1111101111 in the fetch register.
        wait for 100 ns;
        
  
        wait;

    end process;
    
    
    test_clk : process is
    begin
        main_clk <= '1' after 50 ns, '0' after 100 ns;
        wait for 100 ns;
    end process;


end architecture;
