#include "debug_usart.h"
#include "usart.h"
#include "board.h"
#include "gpio.h"

void setup_debug_usart()
{
    //Create GPIO-map
    static const gpio_map_t DEBUG_USART_MAP = {
        { DEBUG_USART_RX_PIN, DEBUG_USART_RX_FUNCTION },
        { DEBUG_USART_TX_PIN, DEBUG_USART_TX_FUNCTION }  
    };
    
    static const usart_options_t USART_OPTIONS = {
        .baudrate = 57600,
        .charlength = 8,
        .paritytype = USART_NO_PARITY,
        .stopbits = USART_1_STOPBIT,
        .channelmode = USART_NORMAL_CHMODE
    };
    
    gpio_enable_module(DEBUG_USART_MAP, sizeof(DEBUG_USART_MAP)/sizeof(DEBUG_USART_MAP[0]));

    usart_init_rs232(DEBUG_USART, &USART_OPTIONS, FOSC0);

    usart_write_line(DEBUG_USART, "DEBUG USART ALIVE ^_^\n");
}

void write_debug_usart(char * str)
{
    usart_write_line(DEBUG_USART, str);
}

